Hvorfor Elasticsearch i Magento 2.4 er påkrevd

Da Magento 2.4 ble introdusert i juli 2020, ble Elasticsearch et krav. Hvis du ikke allerede har oppgradert, vil du iverksette tiltak så snart som mulig for å levere en best mulig opplevelse til kundene dine.

Hva er Elasticsearch?

Vi har alle gått til nettsteder der søkefunksjonen ga resultater som var ufullstendige, irrelevante, ufiltrerbare eller på annen måte vanskelige å forstå. En god stund, Elasticsearch har vært en populær løsning for å forbedre søkeresultatene. Det lar selgere justere søkeresultater basert på frekvens, nylig, popularitet og andre faktorer. Det hjelper kunder med å oppnå de resultatene de ønsker, og minimerer effekten av skrivefeil, ord som ikke er i orden og andre altfor menneskelige hull i input.

Fordi det har vist seg å være så nyttig, gjorde Magento det til en nødvendig komponent i Magento-installasjoner av versjon 2.4 og utover. For å være spesifikk er Elasticsearch 7.6.x den anbefalte versjonen for Magento 2.4.

Så enten du er en Main Street-kjøpmann eller en merkevare for flere millioner dollar, vil eldre vertsmiljøer måtte oppgraderes. Noe som gjør det til et perfekt tidspunkt å ta spranget til en hostingleverandør som vil gjøre mer enn bare å holde deg online.

Å lese:  Forlatte WordPress-plugins kan forårsake alvorlige sikkerhetsproblemer

Nødvendige beholdere støtter Elasticsearch (og mer)

Hostinger Managed Magento-planer støtter mange tjenester, inkludert Elasticsearch med Cloud Containers. Beholdere lar deg legge til tjenestene du trenger for Magento-installasjonen, størrelse med ressursene som kreves for nettstedet ditt, inkludert:

  • Elasticsearch (søkeverktøyet som nå kreves i Magento 2.4)
  • RabbitMQ (en åpen kildekode-meldingsmegler som hjelper nettsteder med å utveksle data)
  • Solr (et annet søkeverktøy, populært blant Magento 1-selgere)
  • Lakk (reduserer serverbelastningen ved å bufre dynamisk innhold)

Overflødige Magento-planer er tilgjengelige i størrelsene XS til 2XL for å møte behovene til Magento-selgere i alle størrelser. Og hvis nettstedet ditt har vokst ut av løsningen du kjører for øyeblikket, er våre dedikerte servertilbud også utstyrt for å håndtere Magento 2.4.

For dedikerte servere kan Elasticsearch 7.6 kreve andre oppdateringer

Våre dedikerte servere og klyngeløsninger er satt opp med CentOS7, Apache 2.4 og PHP 7.4, etter behov for Elasticsearch 7.6. Hvis du bruker en eldre hostingløsning, kan det hende at oppgraderingen til Magento 2.4 krever en oppdatering slik at disse versjonene er aktuelle.

Enten du allerede er vert for Magento-nettstedet ditt med Hostinger eller du er vert for andre steder, gjør Hostinger-støtte migrering til et Magento 2.4-klart miljø enkelt (og gratis). Vi er klare til å støtte overholdelse av Magento 2.4 når som helst.

Å lese:  Legg til en forespørsel om et tilbud-knapp til din WooCommerce-butikk

Lær mer om alle fordelene med Hostinger Managed Magento her.

Nye publikasjoner:

Anbefaling